package com.oo.eye.activity;

import android.os.Bundle;
import android.support.v7.widget.LinearLayoutManager;
import android.support.v7.widget.RecyclerView;
import android.widget.LinearLayout;
import android.widget.TextView;

import com.app.baselibrary.base.common.BaseActivity;
import com.oo.eye.R;
import com.oo.eye.adapter.TestListAdapter;
import com.oo.eye.adapter.TestResultListAdapter;
import com.oo.eye.bean.ChartsBean;

import java.util.ArrayList;
import java.util.List;

import butterknife.BindView;
import butterknife.ButterKnife;
import butterknife.OnClick;

/**
 * Date : 2018/8/28.
 * Author:  cxh
 */

public class TestResurtListActivity extends BaseActivity {
    @BindView(R.id.ddd)
    LinearLayout mDdd;
    @BindView(R.id.begin_test)
    TextView mBeginTest;
    @BindView(R.id.recycle_view)
    RecyclerView mRecycleView;

    @Override
    protected int getLayoutId() {
        return R.layout.activity_testresult;
    }

    @Override
    protected void init() {
        mRecycleView.setLayoutManager(new LinearLayoutManager(this));
        List<ChartsBean> list = new ArrayList<>();
        for (int i = 0; i < 10; i++) {
            ChartsBean chartsBean = new ChartsBean();
            list.add(chartsBean);
        }
        mRecycleView.setAdapter(new TestResultListAdapter(list, this));
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        // TODO: add setContentView(...) invocation
        ButterKnife.bind(this);
    }

    @OnClick(R.id.begin_test)
    public void onClick() {
    }
}
